commit:     7618d42499b9f1236bb432ef738c6688e255497f
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 22 15:28:58 2020 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Feb 22 15:28:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7618d424

sys-boot/woeusb: Bump to 3.3.1

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 sys-boot/woeusb/Manifest            |  1 +
 sys-boot/woeusb/woeusb-3.3.1.ebuild | 59 +++++++++++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/sys-boot/woeusb/Manifest b/sys-boot/woeusb/Manifest
index c64b842cf3b..2232b8a4703 100644
--- a/sys-boot/woeusb/Manifest
+++ b/sys-boot/woeusb/Manifest
@@ -1 +1,2 @@
 DIST woeusb-3.3.0.tar.gz 386251 BLAKE2B 
9767fc3ab3ae438ff126c05a197cb41550704b93f3b508ad88b7a39c74777fdd863794970ebc839f79f8b2f1da9f6041bb355783ec1040e31814fead8185439c
 SHA512 
8cac015df2309e4978f38adae9b9da04d896301f8d9d971d3d21801b24c3287d7d405bc4b2b1e0ff285497b5777462eb8cd6ce7dce079daf49b4d5d313a449a3
+DIST woeusb-3.3.1.tar.gz 386399 BLAKE2B 
1423ecca39018c674b0eea36de732f54cfcdd14b8cc465e6d3c0639192cbd8355436b7a39ba453b19fa6f1c5b1f6938ef12f49710bc2a4af0f2eaed967e03ce7
 SHA512 
e3460efabaee199eb5ffc73ca99fe2d9141ed3a5f72acd2f8910b093b2b3a93928ee4eeb27d634293448f036101d8bf24aef65dc338c80e6e3e1738004594d52

diff --git a/sys-boot/woeusb/woeusb-3.3.1.ebuild 
b/sys-boot/woeusb/woeusb-3.3.1.ebuild
new file mode 100644
index 00000000000..2828715f8b0
--- /dev/null
+++ b/sys-boot/woeusb/woeusb-3.3.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+WX_GTK_VER="3.0-gtk3"
+
+inherit autotools wxwidgets
+
+DESCRIPTION="Creates windows installer on usb media from an iso image"
+HOMEPAGE="https://github.com/slacka/WoeUSB";
+SRC_URI="https://github.com/slacka/WoeUSB/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="minimal"
+
+RDEPEND="
+       sys-apps/util-linux
+       sys-block/parted
+       sys-fs/dosfstools
+       sys-fs/ntfs3g
+       sys-boot/grub:2[grub_platforms_pc]
+       !minimal? ( x11-libs/wxGTK:${WX_GTK_VER}[X] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND=""
+
+S="${WORKDIR}/WoeUSB-${PV}"
+
+src_prepare() {
+       default
+       find . -type f -print0 | xargs -0 sed -i "s/@@WOEUSB_VERSION@@/${PV}/" 
|| die
+       if ! use minimal; then
+               setup-wxwidgets
+               eautoreconf
+       fi
+}
+
+src_configure() {
+       ! use minimal && default
+}
+
+src_compile() {
+       ! use minimal && default
+}
+
+src_test() {
+       ! use minimal && default
+}
+
+src_install() {
+       if use minimal; then
+               dosbin src/woeusb
+               einstalldocs
+       else
+               default
+       fi
+}

Reply via email to